<?php
/**
 * @file pspp-syntax.tpl.php
 * Template to display a view as PSPP Syntax.
 *
 * - $title : The title of this group of rows.  May be empty.
 * - $rows: An array of row items. Each row is an array of content
 *   keyed by field ID.
 * - $pspp: an associative array with fields as keys and PSPP types as values.
 * - $themed_rows: a array of rows with themed fields.
 * - $items:
 * - $separator: The separator used to seperate fields. generally comma's but
 *   sometimes people use other values in CSVs.
 * @ingroup views_templates
 */

$fields = array();
foreach ($pspp as $field_key => $field) {
  $fields[] = "    {$field["id"]} {$field["type"]}";
}
$fields = implode("\n", $fields);
print <<<EOS
GET DATA
  /TYPE={$options["pspp_get_data_type"]}
  /FILE="{$pspp_file}"

EOS;

switch ($options['pspp_get_data_type']) {
  case 'TXT':
    print '  /ARRANGEMENT='. $options['pspp_get_data_arrangement'] ."\n";
    if (!empty($options['pspp_get_data_firstcase'])) {
      print '  /FIRSTCASE='. $options['pspp_get_data_firstcase'] ."\n";
    }
    if ($options['pspp_get_data_importcase'] != 'ALL') {
      $options['pspp_get_data_importcase'] .= ' '. $options['pspp_get_data_importcase_value'];
    }
    print '  /IMPORTCASE='. $options['pspp_get_data_importcase'] ."\n";
    if (!empty($options['pspp_get_data_delimiters'])) {
      print '  /DELIMITERS="'. $options['pspp_get_data_delimiters'] ."\"\n";
    }
    if (!empty($options['pspp_get_data_qualifier'])) {
      print '  /QUALIFIER="'. str_replace('"', '""', $options['pspp_get_data_qualifier']) .'"';
      if ($options['pspp_get_data_escape']) {
        print ' /ESCAPE';
      }
      print "\n";
    }
    if ($options['pspp_get_data_delcase'] != 'LINE') {
      $options['pspp_get_data_delcase'] .= ' '. $options['pspp_get_data_delcase_value'];
    }
    print '  /DELCASE='. $options['pspp_get_data_delcase'] ."\n";
  break;
}
print "  /VARIABLES=
{$fields}.
CACHE.
EXECUTE.
";
